Bug 181752 - /etc/sysconfig/selinux should be a relative symlink
Summary: /etc/sysconfig/selinux should be a relative symlink
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-16 06:54 UTC by Alexandre Oliva
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 23:39:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2006-02-16 06:54:34 UTC
Description of problem:
/etc/sysconfig/selinux is created as a symlink to /etc/selinux/config.  Problem
is, if I mount an alternate root filesystem and proceed to edit
/etc/sysconfig/selinux, I'll end up modifying my current root's
/etc/selinux/config, instead of the one in the alternate root.  Please change it
from -> /etc/selinux/config to -> ../selinux/config.

Version-Release number of selected component (if applicable):
selinux-policy-2.2.15-4

Comment 1 Daniel Walsh 2006-02-16 14:42:37 UTC
Fixed in selinux-policy-2.2.16-1

Comment 2 Alexandre Oliva 2006-02-22 04:37:18 UTC
I see the %post script is fixed, but that won't fix existing symlinks.  Oh,
well...  I guess that ought to be enough, as long as the selinux-policy packages
are not supposed to own /etc/sysconfig/selinux.  But shouldn't they?

Comment 3 Daniel Walsh 2006-02-22 16:21:17 UTC
It probably should, even though this is an artifact of a much earlier version of
SELinux.  Now we tell people to use /etc/selinux/config.  I will add this to the
spec file.


Note You need to log in before you can comment on or make changes to this bug.